{% extends 'base.html.twig' %}

{% block title %}Product index{% endblock %}

{% block body %}
    <div class="card">
        <div class="card-body">
            <h1 class="card-title">Liste des produits</h1>
            <div class="text-right mb-3">
                <a class="btn btn-primary" href="{{ path('dashboard_product_new') }}">Nouveau produit</a>
            </div>
            <table class="table">
                <thead>
                <tr>
                    <th class="text-center"><i class="fa fa-image"></i></th>
                    <th>Nom</th>
                    <th>UGS</th>
                    <th>Prix</th>
                    <th>Catégories</th>
                    <th>Date de création</th>
                </tr>
                </thead>
                <tbody>
                {% for product in products %}
                    <tr>
                        <td class="text-center">
                            {% if product.images is not empty %}
                                <a href="{{ path('dashboard_product_edit', {'id': product.id}) }}">
                                    <img width="40" src="{{ asset(product.images[0].publicPath) }}" alt="">
                                </a>
                            {% endif %}
                        </td>
                        <td>
                            <p class="mb-1"><a style="font-weight: bold;" class="text-info" href="{{ path('dashboard_product_edit', {'id': product.id}) }}">{{ product.name }}</a></p>
                            <div class="product-links">
                                <span class="text-muted">ID: {{ product.id }}</span> <span class="text-muted">|</span>
                                <a class="text-info" href="{{ path('dashboard_product_show', {'id': product.id}) }}">Afficher</a> <span class="text-muted">|</span>
                                <a class="text-info" href="{{ path('dashboard_product_edit', {'id': product.id}) }}">Modifier</a> <span class="text-muted">|</span>
                                <a class="text-danger" href="{{ path('dashboard_product_edit', {'id': product.id}) }}">Supprimer</a>
                            </div>
                        </td>
                        <td>
                            {% if product.sku %}
                                {{ product.sku }}
                            {% else %}
                                -
                            {% endif %}
                        </td>
                        <td>{{ product.price }} TND</td>
                        <td>
                            {% for categorie in product.categories %}
                                <span class="badge badge-primary">{{ categorie }}</span>
                            {% endfor %}
                        </td>
                        <td>
                            {% if product.state == 1 %}
                                <span class="badge badge-success">Publié</span><br>
                            {% else %}
                                <span class="badge badge-secondary">Caché</span><br>
                            {% endif %}
                            {{ product.createdAt ? product.createdAt|date('d/m/Y H:i') : '' }}
                        </td>
                    </tr>
                {% else %}
                    <tr>
                        <td class="text-center" colspan="6">Aucun produit trouvé</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <div class="navigation">
                {{ knp_pagination_render(products) }}
            </div>
        </div>
    </div>
{% endblock %}

{% block stylesheets %}
    <style>
        .product-links {
            position: relative;
            left: -9999em;
        }
        tr:hover .product-links {
            position: static;
        }
    </style>
{% endblock %}